---
title: RTCPeerConnection.iceGatheringState
slug: Web/API/RTCPeerConnection/iceGatheringState
tags:
  - Experimental
  - Property
  - RTCPeerConnection
  - Read-only
  - Reference
  - WebRTC
  - iceGatheringState
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The read-only property <code><strong>RTCPeerConnection.iceGatheringState</strong></code> returns an enum of type <code>RTCIceGatheringState</code> that describes connection's ICE gathering state. This lets you detect, for example, when collection of ICE candidates has finished.</p>

<p>You can detect when the value of this property changes by watching for an event of type <code><a href="/en-US/docs/Web/API/RTCPeerConnection/icegatheringstatechange_event">icegatheringstatechange</a></code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var state = <em>RTCPeerConnection</em>.iceGatheringState;</pre>

<h3 id="Value">Value</h3>

<p>The possible values are those of an enum of type <code>RTCIceGatheringState</code>.</p>

<p>{{page("/en-US/docs/Web/API/RTCPeerConnection", "RTCIceGatheringState enum", 0, 1)}}</p>

<h2 id="Example">Example</h2>

<pre>var pc = new RTCPeerConnection();
var state = pc.iceGatheringState;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-peerconnection-ice-gathering-state', 'RTCPeerConnection.iceGatheringState') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.iceGatheringState")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("icegatheringstatechange")}}</li>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
</ul>
